> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-3a82795f.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 서비스 백업 목록

> 서비스의 모든 백업 목록을 반환합니다. 가장 최근 백업이 목록의 맨 앞에 표시됩니다.



## OpenAPI

````yaml /ko/products/cloud/api-reference/cloud-openapi.json get /v1/organizations/{organizationId}/services/{serviceId}/backups
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations/{organizationId}/services/{serviceId}/backups:
    get:
      tags:
        - Backup
      summary: 서비스 백업 목록
      description: 서비스의 모든 백업 목록을 반환합니다. 가장 최근 백업이 목록의 맨 앞에 표시됩니다.
      parameters:
        - description: 백업을 소유한 조직의 ID입니다.
          in: path
          name: organizationId
          required: true
          schema:
            format: uuid
            type: string
        - description: 백업이 생성된 서비스의 ID입니다.
          in: path
          name: serviceId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 각 요청에 할당되는 고유 ID입니다. UUIDv4
                    format: uuid
                    type: string
                  result:
                    items:
                      $ref: '#/components/schemas/Backup'
                    type: array
                  status:
                    description: HTTP 상태 코드입니다.
                    example: 200
                    type: number
                type: object
          description: 성공 응답
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 상세 오류 설명입니다.
                    type: string
                  status:
                    description: HTTP 상태 코드입니다.
                    example: 400
                    type: number
                type: object
          description: 클라이언트 오류로 간주되는 문제로 인해 서버가 요청을 처리할 수 없거나 처리하지 않습니다.
components:
  schemas:
    Backup:
      properties:
        backupName:
          description: 외부 백업 버킷에 있는 백업 이름입니다.
          type: string
        bucket:
          description: 백업이 저장된 버킷입니다.
          oneOf:
            - $ref: '#/components/schemas/AwsBackupBucketProperties'
            - $ref: '#/components/schemas/GcpBackupBucketProperties'
            - $ref: '#/components/schemas/AzureBackupBucketProperties'
        durationInSeconds:
          description: >-
            백업 수행에 걸린 시간(초)입니다. 상태가 아직 in_progress이면 백업이 시작된 시점부터 현재까지의
            시간(초)입니다.
          type: number
        finishedAt:
          description: 백업 완료 timestamp입니다. ISO-8601 형식입니다. 완료된 백업에서만 사용할 수 있습니다.
          format: date-time
          type: string
        id:
          description: 고유한 백업 ID입니다.
          format: uuid
          type: string
        serviceId:
          description: '이름 '
          type: string
        sizeInBytes:
          description: 백업 크기(바이트)입니다.
          type: number
        startedAt:
          description: 백업 시작 timestamp입니다. ISO-8601 형식입니다.
          format: date-time
          type: string
        status:
          description: '백업 상태입니다: ''done'', ''error'', ''in_progress''.'
          enum:
            - done
            - error
            - in_progress
          type: string
        type:
          description: 백업 유형("full" 또는 "incremental")입니다.
          enum:
            - full
            - incremental
          type: string
    AwsBackupBucketProperties:
      properties:
        bucketPath:
          description: 버킷 경로
          type: string
        bucketProvider:
          description: 버킷 제공업체
          enum:
            - AWS
          type: string
        iamRoleArn:
          description: AWS IAM Role
          type: string
        iamRoleSessionName:
          description: AWS IAM Role
          type: string
    GcpBackupBucketProperties:
      properties:
        accessKeyId:
          description: 액세스 키 ID(HMAC 키)
          type: string
        bucketPath:
          description: 버킷 경로
          type: string
        bucketProvider:
          description: 버킷 제공업체
          enum:
            - GCP
          type: string
    AzureBackupBucketProperties:
      properties:
        bucketProvider:
          description: 버킷 제공업체
          enum:
            - AZURE
          type: string
        containerName:
          description: Container 이름
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud 콘솔에서 발급받은 키 ID와 키 시크릿을 사용하십시오:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````